package com.lzmispt.data.resource.service.metadata;

package .tmp;

import com.lzmispt.core.entity.dto.querymodel.QueryModelDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.DeleteInfoItemDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.EntityItemInfoSearchDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataPropertyDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataValueEntityFieldDTO;
import com.lzmispt.data.center.entity.dto.standard.rule.ChooseRuleConfigDTO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataEntityInfoItemVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataFieldVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataItemAndValueVO;
import com.lzmispt.data.resource.entity.dto.metadata.BatchCheckDataItemNameParamDTO;
import com.lzmispt.data.resource.entity.dto.metadata.BindTheDataItemInfoItemDTO;
import com.lzmispt.data.resource.entity.dto.metadata.CheckInfoItemCodeIsExistsDTO;
import com.lzmispt.data.resource.entity.dto.metadata.DragSortMetaDataInfoItemDTO;
import com.lzmispt.data.resource.entity.dto.metadata.FromDbSychDTO;
import com.lzmispt.data.resource.entity.dto.metadata.ImportDataItemDTO;
import com.lzmispt.data.resource.entity.dto.metadata.ImportInfoItemToEntityParamDTO;
import com.lzmispt.data.resource.entity.dto.metadata.SuitUsePrimaryKeyDTO;
import com.lzmispt.data.resource.entity.dto.metadata.SyncItemInfosToDbDTO;
import com.lzmispt.data.resource.entity.dto.metadata.TheDataItemIdIsBindTheEntityDTO;
import com.lzmispt.data.resource.entity.dto.metadata.UpdateInfoItemDTO;
import com.lzmispt.data.resource.entity.po.metadata.MetadataDirectoryPO;
import com.lzmispt.data.resource.entity.vo.metadata.InfoItemDataRangeVO;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

public interface IResAndDataInfoItemManager {
  ResultEntity<MetadataItemAndValueVO> getInfoItemsForResources(EntityItemInfoSearchDTO paramEntityItemInfoSearchDTO);
  
  ResultEntity<MetadataItemAndValueVO> getInfoItemsForMetadata(EntityItemInfoSearchDTO paramEntityItemInfoSearchDTO);
  
  ResultEntity<Boolean> dragFieldSortForMetadata(DragSortMetaDataInfoItemDTO paramDragSortMetaDataInfoItemDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> dragFieldSortForResources(DragSortMetaDataInfoItemDTO paramDragSortMetaDataInfoItemDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> checkDataItemNameIsUseForResources(BatchCheckDataItemNameParamDTO paramBatchCheckDataItemNameParamDTO);
  
  ResultEntity<Boolean> checkDataItemNameIsUseForMetadata(BatchCheckDataItemNameParamDTO paramBatchCheckDataItemNameParamDTO);
  
  ResultEntity<Integer> getInfoItemMaxOrderForResources(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Integer> getInfoItemMaxOrderForMetadata(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> addMetadataEntityInfoItemsForResources(SaveMetadataValueEntityFieldDTO paramSaveMetadataValueEntityFieldDTO, String paramString1, Long paramLong1, Long paramLong2, String paramString2);
  
  ResultEntity<Boolean> addMetadataEntityInfoItemsForMetadata(SaveMetadataValueEntityFieldDTO paramSaveMetadataValueEntityFieldDTO, String paramString1, Long paramLong1, Long paramLong2, String paramString2);
  
  ResultEntity<Boolean> clearEntityInfoItemForResources(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Boolean> clearEntityInfoItemForMetadata(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<Map> delMetadataEntityInfoItemsForResources(Long paramLong, DeleteInfoItemDTO paramDeleteInfoItemDTO, String paramString1, Integer paramInteger, String paramString2);
  
  ResultEntity<Map> delMetadataEntityInfoItemsForMetadata(Long paramLong, DeleteInfoItemDTO paramDeleteInfoItemDTO, String paramString1, Integer paramInteger, String paramString2);
  
  ResultEntity<Boolean> importDataItemForMetadata(ImportDataItemDTO paramImportDataItemDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> importDataItemForResources(ImportDataItemDTO paramImportDataItemDTO, String paramString1, String paramString2);
  
  ResultEntity<Map<String, Object>> getInfoItemsUsageForResources(Long paramLong, DeleteInfoItemDTO paramDeleteInfoItemDTO, String paramString);
  
  ResultEntity<Map<String, Object>> getInfoItemsUsageForMetadata(Long paramLong, DeleteInfoItemDTO paramDeleteInfoItemDTO, String paramString);
  
  ResultEntity<String> importInfoItemToEntityForResources(ImportInfoItemToEntityParamDTO paramImportInfoItemToEntityParamDTO, String paramString1, String paramString2);
  
  ResultEntity<String> importInfoItemToEntityForMetadata(ImportInfoItemToEntityParamDTO paramImportInfoItemToEntityParamDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> fromDbSychForResources(FromDbSychDTO paramFromDbSychDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> fromDbSychForMetadata(FromDbSychDTO paramFromDbSychDTO, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataFieldVO>> getFieldListByIdsForResources(List<Long> paramList, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataFieldVO>> getFieldListByIdsForMetadata(List<Long> paramList, String paramString1, String paramString2);
  
  ResultEntity<Boolean> theDataItemIdIsBindTheEntityForResources(TheDataItemIdIsBindTheEntityDTO paramTheDataItemIdIsBindTheEntityDTO);
  
  ResultEntity<Boolean> theDataItemIdIsBindTheEntityForMetadata(TheDataItemIdIsBindTheEntityDTO paramTheDataItemIdIsBindTheEntityDTO);
  
  ResultEntity<Boolean> checkInfoItemCodeIsExistsForResources(CheckInfoItemCodeIsExistsDTO paramCheckInfoItemCodeIsExistsDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> checkInfoItemCodeIsExistsForMetadata(CheckInfoItemCodeIsExistsDTO paramCheckInfoItemCodeIsExistsDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> isSuitUsePrimaryKeyForResources(SuitUsePrimaryKeyDTO paramSuitUsePrimaryKeyDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> isSuitUsePrimaryKeyForMetadata(SuitUsePrimaryKeyDTO paramSuitUsePrimaryKeyDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> bindTheDataItemInfoItemForResources(BindTheDataItemInfoItemDTO paramBindTheDataItemInfoItemDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> bindTheDataItemInfoItemForMetadata(BindTheDataItemInfoItemDTO paramBindTheDataItemInfoItemDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> updateFieldForResources(SaveMetadataValueEntityFieldDTO paramSaveMetadataValueEntityFieldDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> updateFieldForMetadata(SaveMetadataValueEntityFieldDTO paramSaveMetadataValueEntityFieldDTO, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataFieldVO>> getInfoItemListForResources(EntityItemInfoSearchDTO paramEntityItemInfoSearchDTO, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataFieldVO>> getInfoItemListForMetadata(EntityItemInfoSearchDTO paramEntityItemInfoSearchDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> updateInfoItemRuleConfigForResources(ChooseRuleConfigDTO paramChooseRuleConfigDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> updateInfoItemRuleConfigForMetadata(ChooseRuleConfigDTO paramChooseRuleConfigDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> syncItemInfosToDBForResources(SyncItemInfosToDbDTO paramSyncItemInfosToDbDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> syncItemInfosToDBForMetadata(SyncItemInfosToDbDTO paramSyncItemInfosToDbDTO, String paramString1, String paramString2);
  
  ResultEntity<List<InfoItemDataRangeVO>> getInfoItemDataRangeInfoForResources(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<InfoItemDataRangeVO>> getInfoItemDataRangeInfoForMetadata(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataEntityInfoItemVO>> getEntityInfoItemsByEntityIdForResources(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataEntityInfoItemVO>> getEntityInfoItemsByEntityIdForMetadata(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataEntityInfoItemVO>> getMetadataEntityInfoItemListByIdsForResources(List<Long> paramList, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataEntityInfoItemVO>> getMetadataEntityInfoItemListByIdsForMetadata(List<Long> paramList, String paramString1, String paramString2);
  
  ResultEntity<Boolean> updateDataModelInfoItemForResources(UpdateInfoItemDTO paramUpdateInfoItemDTO);
  
  ResultEntity<Boolean> updateDataModelInfoItemForMetadata(UpdateInfoItemDTO paramUpdateInfoItemDTO);
  
  ResultEntity<List<Integer>> getLevelListByInfoItemIdForResources(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<Integer>> getLevelListByInfoItemIdForMetadata(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<String> cancelDataItemForResources(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<String> cancelDataItemForMetadata(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataEntityInfoItemVO>> getInfoItemIsSyncByEntityIdForResources(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataEntityInfoItemVO>> getInfoItemIsSyncByEntityIdForMetadata(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity importInfoItemByExcelForResources(HttpServletResponse paramHttpServletResponse, MultipartFile paramMultipartFile, Long paramLong, Integer paramInteger, String paramString1, String paramString2);
  
  ResultEntity importInfoItemByExcelForMetadata(HttpServletResponse paramHttpServletResponse, MultipartFile paramMultipartFile, Long paramLong, Integer paramInteger, String paramString1, String paramString2);
  
  ResultEntity<String> downLoadExcelTemplateForResources(HttpServletResponse paramHttpServletResponse, MultipartFile paramMultipartFile, Long paramLong, Integer paramInteger, String paramString1, String paramString2);
  
  ResultEntity<String> downLoadExcelTemplateForMetadata(HttpServletResponse paramHttpServletResponse, MultipartFile paramMultipartFile, Long paramLong, Integer paramInteger, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataDirectoryPO>> getMetadataFromDirectoryForResources(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity<List<MetadataDirectoryPO>> getMetadataFromDirectoryForMetadata(Long paramLong, String paramString1, String paramString2);
  
  ResultEntity addMetadataItems(List<SaveMetadataPropertyDTO> paramList, String paramString1, String paramString2);
  
  ResultEntity getNotCommonMetadataByApplicationScope(QueryModelDTO paramQueryModelDTO, String paramString1, String paramString2, String paramString3);
  
  ResultEntity getDataFieldMetadataVersions(QueryModelDTO paramQueryModelDTO, String paramString1, String paramString2);
}
